Skill Levels

We’ve created Plugins Podcast Skill Levels to better help users decide if they have the necessary skills to install and use a plugin.

Plugins Podcast Skill Level: Anyone

WordPress plugins marked Anyone are recognized as easy to install, configure and use. Installation can be made using the online install screens built into WordPress and configuration options are easy to understand and configure.

Plugins Podcast Skill Level: Intermediate

WordPress plugins marked Intermediate may require additional steps to install, configure or use. Installation may require knowledge of FTP and how to change file permissions on your web server. Configuration settings may require knowledge of style sheets (css). Basic knowledge about the overall functionality of WordPress is required.

Plugins Podcast Skill Level: Advanced

WordPress plugins marked Advanced typically require additional steps to install and/or configure. Installation may require editing files such as the wp-config.php. Configuration may require editing your theme. Testing the plugin in a test environment may be necessary to fully understand how to deploy and configure properly.

These user levels are meant to be a guide and are by no means all inclusive. Depending on your current WordPress configuration and evolution of the plugin itself may influence your own personal experience installing and configuring the plugin. Please use these User Levels at your disgression.

Leave a Reply

Your email address will not be published. Required fields are marked *